## kwin-effect-snow-0.6.tar.gz

=== build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /data/Develop/KDE/kwin-effect-snow/sources

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /data/Develop/KDE/kwin-effect-snow/sources/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /data/Develop/KDE/kwin-effect-snow/sources/build/CMakeFiles /data/Develop/KDE/kwin-effect-snow/sources/build/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /data/Develop/KDE/kwin-effect-snow/sources/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named kcm_kwin4_effect_snow

# Build rule for target.
kcm_kwin4_effect_snow: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kcm_kwin4_effect_snow
.PHONY : kcm_kwin4_effect_snow

# fast build rule for target.
kcm_kwin4_effect_snow/fast:
	$(MAKE) -f CMakeFiles/kcm_kwin4_effect_snow.dir/build.make CMakeFiles/kcm_kwin4_effect_snow.dir/build
.PHONY : kcm_kwin4_effect_snow/fast

#=============================================================================
# Target rules for targets named kcm_kwin4_effect_snow_automoc

# Build rule for target.
kcm_kwin4_effect_snow_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kcm_kwin4_effect_snow_automoc
.PHONY : kcm_kwin4_effect_snow_automoc

# fast build rule for target.
kcm_kwin4_effect_snow_automoc/fast:
	$(MAKE) -f CMakeFiles/kcm_kwin4_effect_snow_automoc.dir/build.make CMakeFiles/kcm_kwin4_effect_snow_automoc.dir/build
.PHONY : kcm_kwin4_effect_snow_automoc/fast

#=============================================================================
# Target rules for targets named kwin4_effect_snow

# Build rule for target.
kwin4_effect_snow: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kwin4_effect_snow
.PHONY : kwin4_effect_snow

# fast build rule for target.
kwin4_effect_snow/fast:
	$(MAKE) -f CMakeFiles/kwin4_effect_snow.dir/build.make CMakeFiles/kwin4_effect_snow.dir/build
.PHONY : kwin4_effect_snow/fast

#=============================================================================
# Target rules for targets named kwin4_effect_snow_automoc

# Build rule for target.
kwin4_effect_snow_automoc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 kwin4_effect_snow_automoc
.PHONY : kwin4_effect_snow_automoc

# fast build rule for target.
kwin4_effect_snow_automoc/fast:
	$(MAKE) -f CMakeFiles/kwin4_effect_snow_automoc.dir/build.make CMakeFiles/kwin4_effect_snow_automoc.dir/build
.PHONY : kwin4_effect_snow_automoc/fast

#=============================================================================
# Target rules for targets named uninstall

# Build rule for target.
uninstall: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 uninstall
.PHONY : uninstall

# fast build rule for target.
uninstall/fast:
	$(MAKE) -f CMakeFiles/uninstall.dir/build.make CMakeFiles/uninstall.dir/build
.PHONY : uninstall/fast

# target to build an object file
kcm_kwin4_effect_snow_automoc.o:
	$(MAKE) -f CMakeFiles/kcm_kwin4_effect_snow.dir/build.make CMakeFiles/kcm_kwin4_effect_snow.dir/kcm_kwin4_effect_snow_automoc.o
.PHONY : kcm_kwin4_effect_snow_automoc.o

# target to preprocess a source file
kcm_kwin4_effect_snow_automoc.i:
	$(MAKE) -f CMakeFiles/kcm_kwin4_effect_snow.dir/build.make CMakeFiles/kcm_kwin4_effect_snow.dir/kcm_kwin4_effect_snow_automoc.i
.PHONY : kcm_kwin4_effect_snow_automoc.i

# target to generate assembly for a file
kcm_kwin4_effect_snow_automoc.s:
	$(MAKE) -f CMakeFiles/kcm_kwin4_effect_snow.dir/build.make CMakeFiles/kcm_kwin4_effect_snow.dir/kcm_kwin4_effect_snow_automoc.s
.PHONY : kcm_kwin4_effect_snow_automoc.s

# target to build an object file
kwin4_effect_snow_automoc.o:
	$(MAKE) -f CMakeFiles/kwin4_effect_snow.dir/build.make CMakeFiles/kwin4_effect_snow.dir/kwin4_effect_snow_automoc.o
.PHONY : kwin4_effect_snow_automoc.o

# target to preprocess a source file
kwin4_effect_snow_automoc.i:
	$(MAKE) -f CMakeFiles/kwin4_effect_snow.dir/build.make CMakeFiles/kwin4_effect_snow.dir/kwin4_effect_snow_automoc.i
.PHONY : kwin4_effect_snow_automoc.i

# target to generate assembly for a file
kwin4_effect_snow_automoc.s:
	$(MAKE) -f CMakeFiles/kwin4_effect_snow.dir/build.make CMakeFiles/kwin4_effect_snow.dir/kwin4_effect_snow_automoc.s
.PHONY : kwin4_effect_snow_automoc.s

# target to build an object file
snow.o:
	$(MAKE) -f CMakeFiles/kwin4_effect_snow.dir/build.make CMakeFiles/kwin4_effect_snow.dir/snow.o
.PHONY : snow.o

# target to preprocess a source file
snow.i:
	$(MAKE) -f CMakeFiles/kwin4_effect_snow.dir/build.make CMakeFiles/kwin4_effect_snow.dir/snow.i
.PHONY : snow.i

# target to generate assembly for a file
snow.s:
	$(MAKE) -f CMakeFiles/kwin4_effect_snow.dir/build.make CMakeFiles/kwin4_effect_snow.dir/snow.s
.PHONY : snow.s

# target to build an object file
snow_config.o:
	$(MAKE) -f CMakeFiles/kcm_kwin4_effect_snow.dir/build.make CMakeFiles/kcm_kwin4_effect_snow.dir/snow_config.o
.PHONY : snow_config.o

# target to preprocess a source file
snow_config.i:
	$(MAKE) -f CMakeFiles/kcm_kwin4_effect_snow.dir/build.make CMakeFiles/kcm_kwin4_effect_snow.dir/snow_config.i
.PHONY : snow_config.i

# target to generate assembly for a file
snow_config.s:
	$(MAKE) -f CMakeFiles/kcm_kwin4_effect_snow.dir/build.make CMakeFiles/kcm_kwin4_effect_snow.dir/snow_config.s
.PHONY : snow_config.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... kcm_kwin4_effect_snow"
	@echo "... kcm_kwin4_effect_snow_automoc"
	@echo "... kwin4_effect_snow"
	@echo "... kwin4_effect_snow_automoc"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... uninstall"
	@echo "... kcm_kwin4_effect_snow_automoc.o"
	@echo "... kcm_kwin4_effect_snow_automoc.i"
	@echo "... kcm_kwin4_effect_snow_automoc.s"
	@echo "... kwin4_effect_snow_automoc.o"
	@echo "... kwin4_effect_snow_automoc.i"
	@echo "... kwin4_effect_snow_automoc.s"
	@echo "... snow.o"
	@echo "... snow.i"
	@echo "... snow.s"
	@echo "... snow_config.o"
	@echo "... snow_config.i"
	@echo "... snow_config.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/control ===
Source: kwin-effect-snow
Section: utils
Priority: extra
Maintainer: Ivan Safonov <safonov.ivan.s@gmail.com>
Build-Depends: debhelper (>= 8.0), pkg-kde-tools (>= 0.9.3), cmake, kdelibs5-dev, kdebase-workspace-dev, xorg-dev, libqt4-opengl-dev, libegl1-mesa-dev
Standards-Version: 3.9.2

Package: kwin-effect-snow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a kwin effect Snow
